local StoneGate = ...

StoneGate:dofile("scripts/configLoader.lua")
-- To define your own theme for Stone Gate Set:
-- You can change the following lines...
_CustomRoofMaterial = config["customTheme"][1]
_CustomWallMaterial = config["customTheme"][2]
_CustomCrenellationMaterial = config["customTheme"][3]
_CustomBasementMaterial = config["customTheme"][4]
_CustomGroundMaterial = config["customTheme"][5]
_CustomFrameMaterial = config["customTheme"][6]

StoneGate:log("_CustomRoofMaterial = " .. _CustomRoofMaterial)
StoneGate:log("_CustomWallMaterial = " .. _CustomWallMaterial)
StoneGate:log("_CustomCrenellationMaterial = " .. _CustomCrenellationMaterial)
StoneGate:log("_CustomBasementMaterial = " .. _CustomBasementMaterial)
StoneGate:log("_CustomGroundMaterial = " .. _CustomGroundMaterial)
StoneGate:log("_CustomRoofMaterial = " .. _CustomFrameMaterial)

-- ... amongst these predefined lists:
_RoofMaterialPredefinedList = {
"RED_TILE",
"BLUE_TILE",
"BROWN_TILE",
"LIGHT_GREY_TILE",
"DARK_GREY_TILE",
"RED_SHRINGLE",
"BLUE_SHRINGLE",
"BROWN_SHRINGLE",
"YELLOW_SHRINGLE",
"GREEN_SHRINGLE",
"WOODEN_MANOR",
"STONE_MANOR",
"BROWN_MONASTERY",
"BLUE_MONASTERY",
"PURPLE_MONASTERY",
"STRAW",
"CUSTOM" }

_WallMaterialPredefinedList = {
"STONE_MANOR",
"BROWN_MONASTERY",
"BLUE_MONASTERY",
"PURPLE_MONASTERY",
"RED_STONE",
"GIANT_GATE",
"WHITE_CHALK",
"SAND_STONE",
"WOOD",
"CUSTOM" }

_CrenellationMaterialPredefinedList = {
"STONE_MANOR",
"BROWN_MONASTERY",
"BLUE_MONASTERY",
"PURPLE_MONASTERY",
"RED_STONE",
"GIANT_GATE",
"WHITE_CHALK",
"SAND_STONE",
"CUSTOM" }

_BasementMaterialPredefinedList = {
"STONE_MANOR",
"BROWN_MONASTERY",
"BLUE_MONASTERY",
"PURPLE_MONASTERY",
"RED_STONE",
"GIANT_GATE",
"SAND_STONE",
"CUSTOM" }

_GroundMaterialPredefinedList = {
"WHITE_STONE",
"WOOD",
"RED_STONE",
"CUSTOM" }

_FrameMaterialPredefinedList = {
"WHITE_STONE",
"WOOD",
"CUSTOM" }

